Skip to main content
GET
/
v1
/
orders
/
{order_id}
Get Order
curl --request GET \
  --url https://sandbox.api.rime.finance/v1/orders/{order_id} \
  --header 'Authorization: Bearer <token>'
{ "id": "550e8400-e29b-41d4-a716-446655440000", "side": "BUY", "market": "PRIMARY", "status": "COMPLETED", "amount_of_units": 105000, "value": 100000, "currency": "EUR", "isin": "NL1111111111", "account_id": "123e4567-e89b-12d3-a456-426614174000", "created": "2024-01-15T10:30:00Z", "settlement_transaction_hash": "0x3c4d5e6f7890abcdef1234567890abcdef1234567890abcdef1234567890abcdef", "payment_transaction_reference": "PMT-2024-001", "custom_offering_id": null }

Authorizations

Authorization
string
header
required

Bearer access token. Provide as a Authorization: Bearer <token> header.

Path Parameters

order_id
string<uuid>
required

Response

200 - application/json

Order retrieved successfully

id
string<uuid>
required

Unique identifier for the order.

side
enum<string>
required

Whether the order is a buy or a sell order.

Available options:
BUY,
SELL
market
enum<string>
required

The market the order is executed on.

On the primary market, buy orders can be executed when the fund's subcribable flag is set to true. Sell orders on the primary market are only excepted when the fund's redeemable flag is set to true.

On the secondary market, both buy and sell orders can be executed when the fund's tradeable flag is set to true.

Available options:
PRIMARY,
SECONDARY
status
enum<string>
required

Status the order is currently in. This status is updated by the system depending on the order's lifecycle state.

Buy order flow: PLACEDAWAITING_PAYMENTPAYMENT_RECEIVEDEXECUTEDDELIVERY_INITIATEDDELIVERY_COMPLETEDCOMPLETED

Sell order flow: PLACEDREDEMPTION_GATED (if locked) → EXECUTEDPAYMENT_SENTPAYMENT_COMPLETEDCOMPLETED

Orders can be CANCELLED from non-terminal states.

Available options:
PLACED,
AWAITING_PAYMENT,
PAYMENT_RECEIVED,
DELIVERY_INITIATED,
DELIVERY_COMPLETED,
PAYMENT_SENT,
PAYMENT_COMPLETED,
REDEMPTION_GATED,
EXECUTED,
COMPLETED,
CANCELLED
amount_of_units
integer
required

Number of units of the share class in the order.

amount
integer
required

Amount of money invested in micro-units (1 EUR = 10,000 units).

Example:

100000

currency
string
required

Three-letter ISO currency code, in uppercase.

Example:

"EUR"

fund_details
OrderFundDetails · object
required
account_id
string<uuid>
required

ID of the account that placed the order.

created_at
string<date-time>
required

Timestamp when the order was created.

subscription_fee_amount
integer | null

Absolute fee amount charged in micro-units.

subscription_fee
integer | null

Fee rate in integer rate units (100% = 10,000).

fee_source
enum<string> | null

Source of the applied fee rate.

Available options:
DEFAULT,
OFFERING
net_amount
integer | null

Net investment amount after fees, in micro-units.

gross_value
integer | null

Gross investment value before fees, in micro-units.

payment_details
OrderPaymentDetails · object

Payment details associated with this order.